net.sf.jasperreports.engine.export.ooxml

## Class DocxRunHelper

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.BaseHelper
  - - net.sf.jasperreports.engine.export.ooxml.DocxRunHelper

-     public class DocxRunHelper
      extends BaseHelper

  Version:
    $Id: DocxRunHelper.java 6604 2013-10-21 13:19:24Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `jasperReportsContext, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocxRunHelper(JasperReportsContext jasperReportsContext, java.io.Writer writer, java.lang.String exporterKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `export(JRStyle style, java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.lang.String text, java.util.Locale locale, boolean hiddenText, java.lang.String invalidCharReplacement, java.awt.Color backcolor)`
    `void` | `exportProps(JRStyle style, java.util.Locale locale)`
    `void` | `exportProps(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> parentAttrs, java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attrs, java.util.Locale locale, boolean hiddenText, boolean highlightText)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocxRunHelper

          public DocxRunHelper(JasperReportsContext jasperReportsContext,
                       java.io.Writer writer,
                       java.lang.String exporterKey)

  - ### Method Detail

    - #### export

          public void export(JRStyle style,
                    java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                    java.lang.String text,
                    java.util.Locale locale,
                    boolean hiddenText,
                    java.lang.String invalidCharReplacement,
                    java.awt.Color backcolor)

    - #### exportProps

          public void exportProps(JRStyle style,
                         java.util.Locale locale)

    - #### exportProps

          public void exportProps(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> parentAttrs,
                         java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attrs,
                         java.util.Locale locale,
                         boolean hiddenText,
                         boolean highlightText)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com